﻿using System.ComponentModel;

namespace TVAppLauncher
{
    internal class KeyEventArgs : HandledEventArgs
    {
        public KeyEventArgs(WindowMessage message, VirtualKeyCode virtualKeyCode, uint scanCode, bool extended = false, bool altDown = false)
        {
            Message = message;
            VirtualKeyCode = virtualKeyCode;
            ScanCode = scanCode;
            Extended = extended;
            AltDown = altDown;
        }

        public WindowMessage Message { get; }
        public VirtualKeyCode VirtualKeyCode { get; }
        public uint ScanCode { get; }
        public bool Extended { get; }
        public bool AltDown { get; }
    }
}
